Phone and operating system requirements

An iPhone (running iOS8 or higher) or Android smartphone (running KitKat version 4.4 or higher) are compatible with the Hatch Baby app.

Have more questions? Submit a request

0 Comments

Article is closed for comments.